// file: $isip_ifc/class/stat/RelevanceVectorModel/rvm_01.cc
// version: $Id: rvm_01.cc 10423 2006-02-09 00:52:30Z raghavan $
//

// isip include files
//
#include "RelevanceVectorModel.h"
#include <Console.h>

// method: debug
//
// arguments:
//  const unichar* msg: (input) message to print
//
// return: boolean value indicating status
//
// this is the debug method
//
boolean RelevanceVectorModel::debug(const unichar* msg_a) const {

  // display debugging information
  //
  inv_hessian_d.debug(L"inv_hessian");
  weights_d.debug(L"weights");
  targets_d.debug(L"targets");
  vectors_d.debug(L"vectors");
  bias_d.debug(L"bias");
  kernels_d.debug(L"kernels");
  
  // exit gracefully
  //
  return true;
}
